%define up_name	ocamlrpm
%define name	ocaml-%{up_name}
%define version	1.2
%define release	%mkrel 2
%define ocaml_sitelib %(if [ -x /usr/bin/ocamlc ]; then ocamlc -where;fi)/site-lib

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	OCaml bindings to librpm
Source: 	http://www.pps.jussieu.fr/~boender/files/%{up_name}-%{version}.tar.bz2
URL:		http://www.pps.jussieu.fr/~boender
License:	GPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRequires:	rpm-devel
BuildRequires:	findlib
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
OCaml bindings to librpm.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{up_name}-%{version}

%build
make CPPFLAGS="-I%{_includedir}/rpm -I%{_libdir}/ocaml/" CFLAGS="-fPIC" all all.opt

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}/stublibs
ocamlfind \
    install -destdir %{buildroot}/%{ocaml_sitelib} \
    ocamlrpm META ocamlrpm.cmi ocamlrpm.mli ocamlrpm.cma \
    ocamlrpm.cmxa ocamlrpm.a libocamlrpm.a dllocamlrpm.so

%clean
rm -rf %{buildroot}

%files devel
%doc COPYING
%defattr(-,root,root)
%{ocaml_sitelib}/%{up_name}
%{ocaml_sitelib}/stublibs/*


%changelog
* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-2mdv2007.0
+ Revision: 121044
- fix dependencies, and use standard ocaml macro

* Mon Jan 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdv2007.1
+ Revision: 115079
- use -fPIC CFLAG
- fix build on x86_64
- yet another attempt to fix chicken-and-egg issue with macro and build dependencies
- drop non-functional workaround
- try to workaround mdvsys parsing problem



* Mon Jan 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdv2007.1
- first mdv release
